package main

import (
	"fmt"
	"github.com/spf13/cobra"
	"os"
	"stream_capture_db/cmd"
)

var (
	rootCmd = &cobra.Command{
		Use:     "hpds_stream_functions_capture_to_database",
		Long:    "The stream functions is capture data to database service",
		Version: "0.1",
	}
)

func init() {
	rootCmd.AddCommand(cmd.NewStartCmd())
}
func main() {

	if err := rootCmd.Execute(); err != nil {
		fmt.Fprint(os.Stderr, err.Error())
		os.Exit(1)
	}
}
